

def breadcrumbs(request):
    breadcrumbs = []
    path = request.path.strip('/').split('/')
    for i in range(len(path)):
        url = '/' + '/'.join(path[:i+1]) + '/'
        breadcrumbs.append({'name': path[i].capitalize(), 'url': url})
    return {'breadcrumbs': breadcrumbs}